<?php
/* Sovix.
   Copyright (C) 2005, 2006, 2007 David Englund.

This file is part of Sovix.

Sovix is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Sovix is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sovix; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.  */

$sovix_path=$_SERVER['DOCUMENT_ROOT']."/sovix"; $sovix_infopath="$sovix_path/include/sovix_infopath"; require_once "$sovix_path/include/header.inc"; ?>

<?php
$list = array(
              array(
                    'base' => "1",
                    'title' => "What is Sovix?",
                    ),
              array(
                    'base' => "1",
                    'title' => "Releases",
                    ),
              array(
                    'base' => "",
                    'title' => "Development & &ldquo;comming soon&rdquo;",
                    ),
              array(
                    'base' => "",
                    'title' => "Current Stable Release",
                    ),
              array(
                    'base' => "1",
                    'title' => "Supported Platforms",
                    ),
              array(
                    'base' => "1",
                    'title' => "Why is it called Sovix?",
                    ),
              array(
                    'base' => "1",
                    'title' => "Obtaining Sovix",
                    ),
              array(
                    'base' => "1",
                    'title' => "Getting help with Sovix",
                    ),
              array(
                    'base' => "",
                    'title' => "Manuals",
                    ),
              array(
                    'base' => "",
                    'title' => "FAQ",
                    ),
/*              array(
                    'base' => "",
                    'title' => "Mailing list",
                    ),
              array(
                    'base' => "",
                    'title' => "Usenet",
                    ),
              array(
                    'base' => "1",
                    'title' => "Further information",
                    ),*/
              array(
                    'base' => "1",
                    'title' => "How to Help with Sovix",
                    ),
/*              array(
                    'base' => "1",
                    'title' => "Sovix Fun",
                    ),*/
	      );
require_once "$sovix_path/include/tocindex.inc";
?>


<?php $tocbase="What is Sovix?"; tocbase($tocbase); ?>
To quote the Sovix Manual:
<p></p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&ldquo;Sovix is the customizable, self-documenting, cross-platformed, agnostical website updating system.&rdquo;
<p></p>
If this seems to be a bit of a mouthful, an easier explanation is Sovix is a website updating sytem (WUS). We use that as a an alternative term of content manegment system (CMS) since the term “content management” takes the prize for vacuity. The goal with Sovix is to create a free Unix-based internet operating system. Some of the features of Sovix include:
<p></p>
<ul>
  <li>Content sensitive major modes for a wide variety of file types, from plain text to source code to HTML files.</li>
  <li>Online documentation avalible direct from Sovix, including a tutorial for new users.</li>
  <li>Support for PostgreSQL and MySQL.</li>
</ul>
<?php $tocbase="Releases"; tocbase($tocbase); ?>
Sovix is a rapidly developed project. Extensions require time to develop right and test thoroughly.
<?php $tocsub="Development & &ldquo;comming soon&rdquo;"; tocsub($tocsub); ?>
Sovix is actively being developed,
<ul>
<li>The next release will be a clone written for Django as a non-GNU package to begin with. I will left of as the official maintainer for the PHP edition and become the official maintainer for the new edition instead. The PHP edition will be maintained by co-maintainers.</li>
<li>For more info read next release's anticipated <a href="<?php echo $sovixinclude_strip; ?>/etc/TODO">TODOs</a>.</li>
<li>The <a href="http://savannah.gnu.org/cgi-bin/viewcvs/sovix/">Sovix CVS repository</a> is available for general access courtesy of <a href="http://savannah.gnu.org/">savannah.gnu.org</a></li>
</ul>
<?php $tocsub="Current Alpha Release"; tocsub($tocsub); ?>
<ul>
<li>Latest alpha release:  0.0 (Januari 24, 2007)</li>
<li>To download visit the <a href="http://www.sovix.org/software/">obtaining</a> section.</li>
</ul>
<?php $tocbase="Supported Platforms"; tocbase($tocbase); ?>
Sovix is coded with PHP which is cross platformed. PHP and a web server which supports the PHP extension (such as the Apache HTTP Server) is however required. There is support for PostgreSQL and MySQL through PHP that to manage tables.<br />
Sovix has been run on Various GNU/Linux systems.
<?php $tocbase="Why is it called Sovix?"; tocbase($tocbase); ?>
The domain sovix.org among others was avalible but Sovix sounded best.
<?php $tocbase="Obtaining Sovix"; tocbase($tocbase); ?>
Sovix is avalible through <a href="http://savannah.gnu.org/task/?6367">savannah.gnu.org's sovix task page</a>.
<?php $tocbase="Getting help with Sovix"; tocbase($tocbase); ?>

<!--<P>
Information on getting help with GNU software in general is available
at the
<A HREF="http://www.gnu.org/help/gethelp.html">Get Help with GNU Software</A>
page.
</P>-->

<?php $tocsub="Manuals"; tocsub($tocsub); ?>
  <p>
  The 
  <CITE>Sovix Manual</CITE> is still in process. Use the Sovix FAQ meanwhile.
  <P>

<?php $tocsub="FAQ"; tocsub($tocsub); ?>
    <ul>
      <LI>The <A HREF="/software/sovix/sovix-faq.html">Sovix FAQ, html</A>.
      <LI>The <A HREF="/software/sovix/sovix-faq.text">Sovix FAQ, plain text</A>.
      <LI>The FAQ is maintained as part of the Sovix distribution, so
          the Texinfo source for these documents are in the Sovix sources.
    </ul>

<!--<?php $tocsub="Mailing list"; tocsub($tocsub); ?>

  <P>
  The mailing list
  <A HREF="http://mail.gnu.org/mailman/listinfo/help-gnu-sovix">
  <KBD>&lt;help-gnu-sovix@gnu.org&gt;</KBD></A> is specifically for asking
  for help with Sovix.  This is equivalent to the newsgroup
  <KBD>&lt;gnu.sovix.help&gt;</KBD>.
  <P>

  The <A HREF="http://savannah.gnu.org/mail/?group_id=40">Savannah page
  for Sovix mailing lists</A> lists some more lists related to Sovix.

  <P>
  There are other <A HREF="http://lists.gnu.org/mailman/listinfo/">GNU mailing lists
  and newsgroups</A>, including several on Sovix and its extensions.

<?php $tocsub="Usenet"; tocsub($tocsub); ?>

  <P>
  There is a newsgroup specifically for asking for help with Sovix
  <A HREF="news:gnu.sovix.help"><KBD>gnu.sovix.help</KBD></A>.

  This newsgroup is gatewayed automatically to the mailing list
  <KBD>&lt;help-gnu-sovix@gnu.org&gt;</KBD>, so anything you post on one
  of them appears on the other as well.  <P>
</UL>
-->

<!--<?php $tocbase="Further information"; tocbase($tocbase); ?>

<P>
The <A HREF="http://savannah.gnu.org/projects/sovix">Savannah Sovix
page</A> has additional information about Sovix, including CVS access
to the Sovix development sources.

<P>
The <A HREF="http://www.sovixwiki.org/">Sovix Wiki</A> is a community
website which collects code, questions and answers related to
Sovix code and style; introductions to Sovix packages and links to
their sources; complete manuals or documentation fragments; comments
on features, differences, and history of different Sovix versions,
flavors, and ports; jokes; pointers to clones and Sovix look-alikes, as
well as references to other Sovix related information on the Web.
-->

<?php $tocbase="How to Help with Sovix"; tocbase($tocbase); ?>
<P>

To contact the maintainers of Sovix, either to report a bug or to
contribute fixes or improvements, send mail to
<KBD>&lt;bug-sovix@sovix.org&gt;</KBD>.

<!--<?php $tocbase="Sovix Fun"; tocbase($tocbase); ?>

<UL>
  <LI> <P>April Fool Mail - <A HREF="/fun/jokes/gnusovix.html">sovix rewrite
       </A></P>
  <LI> <P><A HREF="/fun/humor.html">More</A> humors related to Sovix and others</P>
</UL>-->


<hr />


<table cellspacing="0" cellpadding="0" border="0">
  <tr valign="top">
    <td>
Sovix has the same interface as Sovix so tasks is being done by execute commands at the command line, its also possible to work directly with the shell for GNU or UNIX based systems. It suits the pages after the webbrowser for optical optimization. The menusystem is being done from autoindexed directories which is very time saving for the administrator.<p></p>

It can list, sort, search, edit, insert and drop querys for PostgreSQL and MySQL.
It provides features to edit, view, frame, upload, insert, remove and files as well as validate and make them printer friendly. It can also create and remove directories. browsing autogenerated sitemaps and edit CSS styles.
CSS styles can be manipulated both from session an URI. It is fully extensible and customizable through skins, font-size, width and can be used to create dynamic, community based websites quickly and easily.
<p><p>
It requires a web server which supports the PHP extension (such as the Apache HTTP Server).
<p></p>

    </td>
  </tr>
</table>






<?php $tocbase="WUS"; tocbase($tocbase); ?>



<?php $tocsub="What is a Website Updating System?"; tocsub($tocsub); ?>

A &ldquo;Website Updating System&rdquo; (WUS) is a alternative term for &ldquo;Content Managment System&rdquo; (CMS).<p></p>

We avoid to use the term &ldquo;Content Managment System&rdquo; after a conversation with Richard Stallman. I also recommeded him to set up something about it at gnu.org so other can learn from what I did. RMS says the following:<br /> <a href="http://www.gnu.org/philosophy/words-to-avoid.html#Content">The term &ldquo;content management&rdquo; takes the prize for vacuity. Neither word has any specific meaning; &ldquo;content&rdquo; means &ldquo;some sort of information&rdquo;, and &ldquo;management&rdquo; in this context menas &ldquo;doing something with it&rdquo;. So a &ldquo;content management system&rdquo; is a system for doing something to some sort of information.</a>

<?php site_footer(); ?>
