<?php
/* Template.
   Copyright (C) 2005, 2006, 2007 David Englund.

This file is part of GNU Sovix.

GNU Sovix is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Sovix is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Sovix; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.  */

$mod_login="y"; $sovix_path=$_SERVER['DOCUMENT_ROOT']."/sovix"; $sovix_infopath="$sovix_path/include/sovix_infopath"; require_once "$sovix_path/include/header.inc"; ?>

<?php
/* Custom variables */


/* Template variables */
require "$sovix_secret_path/var_rdbms.inc.php";
$database_server=$my_database_server;
$host=$my_host;
$port=$my_port;
$user=$my_user;
$password="$my_password"; /* Use quotes since passwords can include whitespace */
$dbname=test;
$dbtable=sovix;
$query_free="";
$order_by=date;
$maintable=""; /* Set to file if you want custom layout */
$stripe_color="y";
$highlight_boolean="y";
$color_boolean="y";
$quickrow1="date";

$list = array(
	      array(
		    'x' => "id", /* Must be here to select id from database */
		    'y' => "ID",
		    'dbtype' => "id", /* Database uniqeifier to figure out things */
		    'value' => "", /* No need to specify any value since it is only for boolean dbtypes */
		    'private' => "y", /* We leave this empty to not build a table row */
		    'give_topic' => "n", /* Gives a topic with order and more */
		    'showcontent' => "y", /* y shows x as content, other values is not preserved */
		    'require_value' => "y", /* Require values when insert into databas */
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "int_10",
		    'y' => "Integer 10",
		    'dbtype' => "integer",
		    'maxlenght' => "2",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "n",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    'showcontent' => "y",
		    ),
	      array(
		    'x' => "date",
		    'y' => "Date",
		    'dbtype' => "date",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "y",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "time",
		    'y' => "Time",
		    'dbtype' => "time",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "y",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "char_255",
		    'y' => "Char 255",
		    'dbtype' => "char",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "y",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "varchar_255",
		    'y' => "Varchar 255",
		    'dbtype' => "varchar",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "y",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "text",
		    'y' => "Text",
		    'dbtype' => "text",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "n",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      array(
		    'x' => "boolean",
		    'y' => "Boolean",
		    'dbtype' => "boolean",
		    'maxlenght' => "",
		    'value' => "",
		    'private' => "n",
		    'give_topic' => "y",
		    'showcontent' => "y",
		    'require_value' => "y",
		    'beg' => "",
		    'beg_link' => "",
		    'link' => "",
		    'end_link' => "",
		    'end' => "",
		    ),
	      );

require_once "$sovixinclude/dbtable1.inc"; ?>

<?php site_footer(); ?>
