<?php 
/* Header.
   Copyright (C) 2005, 2006, 2007 David Englund.

This file is part of GNU Sovix.

GNU Sovix is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Sovix is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Sovix; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.  */

header("ETag: PUB" . time());
header("Last-Modified: " . gmdate("D, d M Y H:i:s", time()-10) . " GMT");
header("Expires: " . gmdate("D, d M Y H:i:s", time() + 5) . " GMT");
header("Pragma: no-cache");
header("Cache-Control: max-age=1, s-maxage=1, no-cache, must-revalidate");
session_cache_limiter("nocache");
session_start();
?>
<?php
function microtime_float()
{
  list($usec, $sec) = explode(" ", microtime());
  return ((float)$usec + (float)$sec);
}

$time_start = microtime_float();

// Sleep for a while
usleep(100);

$sovixinclude=dirname(__FILE__);
$sovixinclude_strip=str_replace($_SERVER['DOCUMENT_ROOT'], "", $sovix_path);
$time_end = microtime_float();
$time = $time_end - $time_start;
$dir = $_SERVER['DOCUMENT_ROOT'];
require "$sovixinclude/defvar.inc";
require $sovix_infopath.'/var.inc';
if (isset($require_file_var_individual)) require "$require_file_var_individual";
require "$require_file_var_personal";
require "$require_file_var_settings";
require "$sovixinclude/functions.inc";
require "$sovixinclude/browser_detection.inc";
require "$sovix_secret_path/var_sovix.inc.php";
require_once "$sovixinclude/intro.inc";
?>

    <?php
	if(!isset($print)) {
	  if ($browser!="w3m" && $browser!="Lynx") {
  ?>
 <table cellspacing="0" cellpadding="0" width="100%" class="tr-topic-system" style="height:27px; border-style:solid; border-color:#a1a198; border-width:0px 0px 1px 0px; background-image:url($sovix_path/include/img/mainnavbar-graa.png);">

    <tr>
    <td width="350"> 
    <?php $classmenu="set"; require "$sovixinclude/navbar.inc"; unset($classmenu); ?>
											       </td>
												   </tr>
												   </table>
												   <?php
												   } ?>

	      <div style="padding:1px 0px 1px 0px; background-color:#efebe7; border-style:solid;
border-width:1px 0px 1px 0px; border-top-color:white; border-bottom-color:#bfbfbf;">
	      <?php require "$sovixinclude/autoindex.inc"; ?>
	      </div>
		  <?php if (!isset($print) && $toc_header!="") require_once "$toc_header"; ?>

		  <?php if($book_layout=="y") echo ' <div style="background-color:#efebe7;">'; ?>
		     <table cellspacing="0" cellpadding="0" style="background-color:#ffffff; <?php if($book_layout=="y") echo 'border-style:solid; border-width:0px 1px 0px 1px;'; ?> padding:0px 10px 0px 10px; width:<?php if (empty($_SESSION['width'])) echo $width; else echo $_SESSION['width']; ?>" align="center">
		     <tr>
		       <td>
<?php
if ($browser=='w3m' || $browser=='Lynx') echo '<hr />';
	}
if (isset($print)) echo '<a href="'.$_SERVER['PHP_SELF']."\">http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']."</a><p></p>";
if ($show_filename_as_topic=="y") echo "<p><span class=\"topic\" >".basename(urldecode(str_replace('_',' ', preg_replace('#(.+)\..+#','\\1', $_SERVER['PHP_SELF']))))."</span></p>";
if ($time>100) echo "It took over one second to load the website, please inform this to our sysadmins at sysadmin@sovix. Thank you.";
?>

<!-- TOC __________________________________________________________________________________ -->
